import { Api } from '../types';
import { RendererEvent } from '../utils/renderer-event';
import { Action, ListenerAction, ListenerContext } from './Action';
export interface IAjaxAction extends ListenerAction {
    api: Api;
    messages: {
        success: string;
        failed: string;
    };
    options: object;
}
/**
 * 发送请求动作
 *
 * @export
 * @class AjaxAction
 * @implements {Action}
 */
export declare class AjaxAction implements Action {
    run(action: IAjaxAction, renderer: ListenerContext, event: RendererEvent<any>): Promise<any>;
}
