"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinkAction = void 0;
var tslib_1 = require("tslib");
var helper_1 = require("../utils/helper");
var tpl_1 = require("../utils/tpl");
var Action_1 = require("./Action");
/**
 * 打开页面动作
 *
 * @export
 * @class LinkAction
 * @implements {Action}
 */
var LinkAction = /** @class */ (function () {
    function LinkAction() {
    }
    LinkAction.prototype.run = function (action, renderer, event) {
        var _a;
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function () {
            var url;
            return (0, tslib_1.__generator)(this, function (_b) {
                if (!((_a = renderer.props.env) === null || _a === void 0 ? void 0 : _a.jumpTo)) {
                    throw new Error('env.jumpTo is required!');
                }
                url = (action.url || action.link);
                // 处理参数
                if (!(0, helper_1.isEmpty)(action.params)) {
                    if (!(0, helper_1.isObject)(action.params)) {
                        throw new Error('action.params must be an object');
                    }
                    url = "".concat(/\?/.test(url) ? '&' : '?').concat((0, helper_1.qsstringify)(action.params));
                }
                renderer.props.env.jumpTo((0, tpl_1.filter)(url, action.args, '| raw'), action, action.args);
                return [2 /*return*/];
            });
        });
    };
    return LinkAction;
}());
exports.LinkAction = LinkAction;
(0, Action_1.registerAction)('openlink', new LinkAction());
//# sourceMappingURL=./actions/LinkAction.js.map
